Subject: Re: [Netconf] restconf notifications - SSE vs HTTP 2.0 push

From: Juergen Schoenwaelder <[email-masked]>
Date: Mon, 1 Dec 2014 10:06:13 +0100

On Mon, Dec 01, 2014 at 04:53:22AM +0000, Reinaldo Penno (repenno) wrote:
> I think it will be a loooong time before HTTP 2.0 find its way into all
> browsers, Java/Python/C/other libraries and servers into significant
> numbers. The installed base is just too large. We should focus on what we
> can deploy with HTTP 1.1.

I expected this argument but I am not sure to what extend I believe it
to be true. My understanding is that most browsers already today use
SPDY and I can run SPDY in major web servers as well and my
understanding is that HTTP 2.0 is heavily influenced by SPDY. We may
be creating an SSE solution today and we may regret that decision in a
two years. At least, I think we should leave things open such that
usage of HTTP 2.0 push is possible to support without major hassles.

/js

-- 
Juergen Schoenwaelder           Jacobs University Bremen gGmbH
Phone: +49 421 200 3587         Campus Ring 1, 28759 Bremen, Germany
Fax:   +49 421 200 3103         <http://www.jacobs-university.de/>